Name:           sqljet
Version:        1.0.4
Release:        2%{?dist}
Summary:        Pure Java SQLite

Group:          Development/Libraries
License:        GPLv2
URL:            http://sqljet.com/
# Obtained by sh fetch-sqljet.sh
Source0:        %{name}-%{version}.tar.xz
Source1:        fetch-sqljet.sh
Source2:        %{name}-browser.sh
Source3:        %{name}-browser.desktop
Patch0:         %{name}-javadoc.patch

BuildRequires:  ant
BuildRequires:  antlr
BuildRequires:  antlr3-java
BuildRequires:  antlr3-tool
BuildRequires:  easymock2
BuildRequires:  netbeans-platform
BuildRequires:  java-devel >= 1.6
BuildRequires:  junit4
BuildRequires:  desktop-file-utils
Requires:       antlr3-java
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
BuildArch: noarch

%description
SQLJet is an independent pure Java implementation of a popular SQLite database
management system. SQLJet is a software library that provides API that enables
Java application to read and modify SQLite databases.

%package        browser
Group:          Development/Tools
Summary:        SQLJet database browser
Requires:       %{name} = %{version}
Requires:       netbeans-platform

%description    browser
Utility for browsing SQLJet/SQLite databases.

%package        javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description    javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0

find \( -name '*.class' -o -name '*.jar' \) -delete

pushd lib
ln -s %{_javadir}/antlr3-runtime.jar antlr-runtime-3.1.3.jar
popd
pushd sqljet-examples/browser/lib
ln -s %{_datadir}/netbeans/platform12/modules/org-netbeans-swing-outline.jar org-netbeans-swing-outline.jar
popd

# versions in pom xml are to be processed by ant, but we don't need that so just fix them here
sed -i 's/%sqljet.version%/%{version}/;s/%antlr.version%/3.1.3/' pom.xml

%build
export CLASSPATH=$(build-classpath antlr3-runtime antlr3 antlr stringtemplate easymock2 junit4)

ant jars osgi javadoc

jar umf sqljet/osgi/MANIFEST.MF build/sqljet.jar

%install
# jars
mkdir -p %{buildroot}%{_javadir}
cp -p  build/sqljet.jar %{buildroot}%{_javadir}/%{name}.jar
cp -p  build/sqljet-browser.jar  %{buildroot}%{_javadir}/%{name}-browser.jar

# maven metadata
mkdir -p %{buildroot}%{_mavenpomdir}
cp pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.tmatesoft.sqljet %{name} %{version} JPP %{name}

# javadocs
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp build/javadoc %{buildroot}%{_javadocdir}/%{name}

# browser scripts
install -d %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}-browser

desktop-file-install  --dir=%{buildroot}%{_datadir}/applications \
                      %{SOURCE3}

desktop-file-validate %{buildroot}/%{_datadir}/applications/sqljet-browser.desktop

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom
%doc COPYING README.txt
%{_javadir}/%{name}.jar

%files browser
%defattr(-,root,root,-)
%{_javadir}/%{name}-browser.jar
%{_bindir}/%{name}-browser
%{_datadir}/applications/%{name}-browser.desktop

%files javadoc
%defattr(-,root,root,-)
%doc COPYING
%doc %{_javadocdir}/*

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Alexander Kurtakov <akurtako@redhat.com> 1.0.4-1
- Update to new upstream version.

* Tue Dec 21 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0.3-4
- Fix versions in pom.xml file causing parsing problems

* Tue Dec 14 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0.3-3
- Versionless jars
- Changes accroding to new guidelines (no buildroot/clean section)
- Add license to javadoc subpackage
- Install maven metadata

* Sat Aug 28 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.3-2
- Fix build with latest netbeans.
- Fix sqljet-browser run script.

* Tue May 18 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.3-1
- New version.

* Wed Apr 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-3
- Fix build with new antlr3.
- Fix startup script for the browser.
- Add missing semicolon in the desktop file.

* Mon Feb 15 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-2
- Rebuild for netbeans-platform update. (rhbz#564657)

* Thu Jan 14 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-1
- Update to 1.0.2.

* Thu Dec 3 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-3
- Require antlr3.

* Mon Nov 30 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-2
- Fix build and review comments.

* Thu Nov 26 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-1
- Initial package.
